Recent Updates For Several WordPress Security Plugins That We Consider Useful

Keep Up To Date with All Plugins, Especially WordPress Security Based Ones

We are passionate about WordPress and in particular WordPress Security. Like it or not, one of the most common methods of a WordPress site getting hacked over the years has through loopholes and problematic coding in plugins and themes.

There are several plugins related to WordPress security that we recommend, you can check out that list here: Our Favorite Security Plugins List.

Just having the plugins is not enough however. You must make sure that they are also being updated on a regular basis. With this in mind we try to keep you updated as often as we can with regards to updates and new release of any WordPress security specific plugins.

Below is a list of a few that were updated this week and some of the most recent changes those plugins have made.

Apocalypse Meow

 

 

1.4.5

  • Warn administrators on settings page of potential proxy/intranet-type issues;
  • Only show .htaccess options on Apache servers;
  • Use wp_die() for Apocalypse screen;
  • Database maintenance on by default;

Apocalypse Meow is a great little plugin that will help your overall site security with these features:

  • Password enforcement: set rules that govern your users password strength and minimum length.
  • Login Protections: enforce login protection for your site
  • Login Tracking: track any and all attempts to login to your site and give you a success/fail indication.
  • Login Jail: lets you know who is blocked based on invalid login attempts.
  • Additional Features include: Direct Script Prevention, Editor Disable, Generator Tag Removal

 

Captcha

 

  • Version: 3.8.6
  • Author:BestWebSoft
  • Last Updated: 2 days ago
  • Requires WordPress Version:3.0 or higher
  • Compatible up to: 3.7
  • Plugin Homepage »

V3.8.6 – 25.10.2013

  • NEW : Ability to change required symbol (asterisk).
  • Update : We updated all functionality for wordpress 3.7.

V3.8.5 – 17.10.2013

  • Update : The Italian language file is updated.
  • NEW : The Catalan language file is added to the plugin.

V3.8.4 – 8.10.2013

  • Bugfix : The duplicate style is removed.
  • Update : BWS plugins section is updated.

Captcha is a very simple yet effective captcha plugin for the forms on the site. We like this plugin over many of the other captcha solutions as this one requires thought to process the actual math option. Many image captcha options can be processed with automated software.

 

Fast Secure Contact Form

 

4.0.16

  • (25 Oct 2013) – Bug fix: some fields would not validate if value was zero.
  • Bug fix: tags for time field types were not working in the confirmation email or subject.
  • Bug fix: admin css improvements to avoid conflicting plugins.
  • Added ip_address as an available data send / export field.
  • Added setting to the Advanced tab to enable and HTML anchor tag on the form POST URL.
  • updated German (de_DE) translation.

4.0.15

  • (12 Oct 2013) – allow HTML in “Your message has been sent, thank you.” custom label.
  • Bug fix: the attrubutes setting was not working on name, email, subject, fields.
  • Bug fix: schedule a meeting button could show when not activated.

4.0.14

  • (11 Oct 2013) – Bug fix: view /print button did not work with some plugins.
  • Bug fix: schedule a meeting button user preference default problem.
  • updated German (de_DE) translation.

Fast Secure Contact Form is an advanced contact form plugin. This plugin, while not strictly a security plugin falls into that category of helper plugin that does still help make a site more secure. Fast Secure Contact Form offers a wide range of contact form options as well as the ability to implement vCita scheduling. VCita is an off-site service provider for scheduling appointments and interacting with clients.

This plugin also integrates well with Anti-spam measures and Akismet as well as a “domain matching” restriction so that contact forms must be submitted from your site.

 

Wordfence Security

 

  • Version: 3.8.7
  • Author: Mark Maunder
  • Last Updated: 2 days ago
  • Requires WordPress Version:3.3.1 or higher
  • Compatible up to: 3.7
  • Plugin Homepage »

3.8.7

  • Fixed issue that caused cellphone sign-in to not work with PHP version 5.4 or greater.
  • Fixed conflict with other plugins that also use the Whois PHP library.
  • Fixed an unsanitized user-agent string.
  • Added new malware signatures for string rot13 heuristics.
  • Updated compatibility to 3.7.

3.8.6

  • Fixed issue that caused scheduled scans to run even if disabled.
  • Fixed display bug when signin fails.

3.8.5

  • Fixed issue that caused Human traffic to not be logged in Wordfence Security live traffic view.

WordFence Security is a security and Firewall plugin that we have been using for some time now.

This plugin is on our list of preferred WordPress Security Plugins.

Some of the many features of WordFence Include:

  1. Security Scan: check files, including themes and plugins for security issues.
  2. Live Traffic Activity: Easily see and BLOCK ip addresses and complete networks
  3. Blocked Ip List: Maintain and manage a list of blocked IP addresses
  4. Firewall Rules: Easily setup and control access to your site, even throttle or block traffic
  5. Login Security: block login attacks, prevent admin registration, and lockout invalid users
  6. Additional features: Cell Phone Login, Advance Blocking, Whois Lookup and more

 

These are only a handful of plugins that have been updated this week. Make sure you are keeping your blogs and plugins up-to-date. Also, in case you missed it, WordPress 3.7 is out this week also.